New user
curl --request POST \
--url https://api.agentfirst.dev/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"credits": 1000
}
'import requests
url = "https://api.agentfirst.dev/users"
payload = {
"email": "user@example.com",
"credits": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'user@example.com', credits: 1000})
};
fetch('https://api.agentfirst.dev/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "user@example.com",
"token": "a1-0dF6qKHYD7SNU5kAtjOmwHpH3iFgpylA",
"credits": 1000
}"JSON was malformed""Authorization header must be provided""Valid API token must be provided""Email already exists""Character counts must be no more than 255""Rate limit was exceeded; please retry in 180 seconds""Unknown error occurred"Administration
New user
Create a whitelabel account.
POST
/
users
New user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The new account metadata.
The email address of the new account as recorded by the API.
Example:
"user@example.com"
The bearer token issued to the account for authentication.
Example:
"a1-0dF6qKHYD7SNU5kAtjOmwHpH3iFgpylA"
The number of initial credits granted to the account.
Example:
1000
⌘I

